
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */ }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */ } }

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */ }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */ } }

#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10000;
    background: rgba(210,214,222,0.5);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden; }
#loader > div {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: #e85656;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    /* Chrome, Firefox 16+, IE 10+, Opera */ }
#loader > div:before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: #209e91;
    -webkit-animation: spin 3s linear infinite;
    /* Chrome, Opera 15+, Safari 5+ */
    animation: spin 3s linear infinite;
    /* Chrome, Firefox 16+, IE 10+, Opera */ }
#loader > div:after {
    content: "";
    position: absolute;
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: #dfb81c;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    /* Chrome, Firefox 16+, IE 10+, Opera */ }
.sweet-alert h2{
    margin: 0px;
}
.swal-wide{
    width: auto !important;
}
.info-box {
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    height: 80px;
    display: flex;
    cursor: default;
    background-color: #fff;
    position: relative;
    overflow: hidden;
    margin-bottom: 20px; }
.info-box .icon {
    display: inline-block;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.12);
    width: 80px; }
.info-box .icon i {
    color: #fff;
    font-size: 50px;
    line-height: 80px; }
.info-box .icon .chart.chart-bar {
    height: 100%;
    line-height: 100px; }
.info-box .icon .chart.chart-bar canvas {
    vertical-align: baseline !important; }
.info-box .icon .chart.chart-pie {
    height: 100%;
    line-height: 123px; }
.info-box .icon .chart.chart-pie canvas {
    vertical-align: baseline !important; }
.info-box .icon .chart.chart-line {
    height: 100%;
    line-height: 115px; }
.info-box .icon .chart.chart-line canvas {
    vertical-align: baseline !important; }
.info-box .content {
    display: inline-block;
    padding: 7px 10px; }
.info-box .content .text {
    font-size: 13px;
    margin-top: 20px;
    color: #555; }
.info-box .content .number {
    font-weight: normal;
    font-size: 26px;
    margin-top: -4px;
    color: #555; }

.info-box.hover-zoom-effect .icon {
    overflow: hidden; }
.info-box.hover-zoom-effect .icon i {
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease; }

.info-box.hover-zoom-effect:hover .icon i {
    opacity: 0.4;
    -moz-transform: rotate(-32deg) scale(1.4);
    -ms-transform: rotate(-32deg) scale(1.4);
    -o-transform: rotate(-32deg) scale(1.4);
    -webkit-transform: rotate(-32deg) scale(1.4);
    transform: rotate(-32deg) scale(1.4); }

.info-box.hover-expand-effect:after {
    background-color: rgba(0, 0, 0, 0.05);
    content: ".";
    position: absolute;
    left: 80px;
    top: 0;
    width: 0;
    height: 100%;
    color: transparent;
    -moz-transition: all 0.95s;
    -o-transition: all 0.95s;
    -webkit-transition: all 0.95s;
    transition: all 0.95s; }

.info-box.hover-expand-effect:hover:after {
    width: 100%; }


@media (min-width: 1100px) {
    .table-fixed thead {
        width: 98.6%;
    }
    .table-fixed tbody {
        height: auto;
        max-height: 65vh;
        overflow-y: auto;
        width: 100%;
    }
    .table-fixed thead, .table-fixed tbody, .table-fixed tr, .table-fixed td, .table-fixed th, .table-fixed tfoot {
        display: block;
    }
    .table-fixed thead th .form-control{
        height: 30px;
        padding: 0 2px;
        margin: 3px 0;
    }
    .table-fixed thead th .form-control[disabled]{
        border: none;
    }
    .table-fixed tbody td, .table-fixed tbody th, .table-fixed thead > tr> th {
        float: left;
    }
    .table-fixed tbody td{
        height: auto;
        padding: 10px 8px;
    }
    .table-fixed{
        margin-bottom: 0;
    }
    .table-fixed > tfoot > tr > td{
        padding: 10px 5px;
        height: auto;
        width: 100%;
    }
}
.table-hover > tbody > tr{
    /*cursor: pointer;*/
}
.table-hover > tbody > tr:hover,
.table-hover > tbody > tr:nth-of-type(odd):hover,
.table-hover > tbody > tr:hover i,
.table-hover > tbody > tr:nth-of-type(odd):hover i{
    background-color: #00acd6;
    color: #FFF;
}


md-backdrop.md-opaque.md-default-theme, md-backdrop.md-opaque {
    background-color: rgba(33,33,33,1.0);
}

md-dialog.md-default-theme, md-dialog {
    border-radius: 4px;
    background-color: rgb(255,255,255);
    color: rgba(0,0,0,0.87);
}

md-toolbar.md-default-theme:not(.md-menu-toolbar), md-toolbar:not(.md-menu-toolbar) {
    background-color: rgb(16,108,200);
    color: rgba(255,255,255,0.87);
}

md-dialog {
    width: 100%;
    max-height: 100% !important;
}
.list-group-item{
    border: none;
    border-bottom: 1px solid #CCC;
    margin-bottom: 5px;
}

md-content.md-default-theme, md-content{
    min-height: 55vh;
}

.main-sidebar{
    padding-top: 50px;
}

label{
    font-weight: 500;
}

.btn-app.btn-default {
    background-color: #f4f4f4;
    color: #fff;
    border-color: #ddd;
}
.btn-app.btn-default:hover,
.btn-app.btn-default:active,
.btn-app.btn-default.hover {
    background-color: #e7e7e7;
    color: #fff;
}
.btn-app.btn-primary {
    background-color: #3c8dbc;
    border-color: #367fa9;
    color: #fff;
}
.btn-app.btn-primary:hover,
.btn-app.btn-primary:active,
.btn-app.btn-primary.hover {
    background-color: #367fa9;
    color: #fff;
}
.btn-app.btn-success {
    background-color: #00a65a;
    border-color: #008d4c;
    color: #fff;
}
.btn-app.btn-success:hover,
.btn-app.btn-success:active,
.btn-app.btn-success.hover {
    background-color: #008d4c;
    color: #fff;
}
.btn-app.btn-info {
    background-color: #00c0ef;
    border-color: #00acd6;
    color: #fff;
}
.btn-app.btn-info:hover,
.btn-app.btn-info:active,
.btn-app.btn-info.hover {
    background-color: #00acd6;
    color: #fff;
}
.btn-app.btn-danger {
    background-color: #dd4b39;
    border-color: #d73925;
    color: #fff;
}
.btn-app.btn-danger:hover,
.btn-app.btn-danger:active,
.btn-app.btn-danger.hover {
    background-color: #d73925;
    color: #fff;
}
.btn-app.btn-warning {
    background-color: #f39c12;
    border-color: #e08e0b;
    color: #fff;
}
.btn-app.btn-warning:hover,
.btn-app.btn-warning:active,
.btn-app.btn-warning.hover {
    background-color: #e08e0b;
    color: #fff;
}
.btn-app.btn-outline {
    border: 1px solid #fff;
    background: transparent;
    color: #fff;
}
.btn-app.btn-outline:hover,
.btn-app.btn-outline:focus,
.btn-app.btn-outline:active {
    color: rgba(255, 255, 255, 0.7);
    border-color: rgba(255, 255, 255, 0.7);
}
.btn-app > .fa, .btn-app > .far, .btn-app > .fas, .btn-app > .fab, .btn-app > .glyphicon, .btn-app > .ion{
    margin-bottom: 10px;
    font-size: 30px;
}
.logo{
    text-align: left !important;
}

.logo img{
    height: 40px;
    margin-left: 30px;
}

th{
    font-weight: normal;
}

.skin-green .main-header .logo,
.skin-blue-light .main-header .logo,
.skin-red-light .main-header .logo,
.skin-blue .main-header .logo{
    background: #FFF;
    text-align: left !important;
    width:200px;
}
.skin-green .main-header .logo:hover,
.skin-blue-light .main-header .logo:hover,
.skin-red-light .main-header .logo:hover,
.skin-blue .main-header .logo:hover{
    background: #CCC;
}

a.custom-link{
    color: #00a65a;
    text-decoration: underline;
}
a.custom-link:hover{
    text-decoration: none;
    color: #008d4c;
}
.btn-app{
    height: auto;
}
.btn-app > .icon-stack .fas{
    font-size: 30px;
    display: block;
    margin-bottom: 10px;
}

.icon-stack .icon-stack-1x{
    position: absolute;
    left: 25%;
    top: 25%;
    width: 100%;
    font-size: 20px !important;
}
.table-striped > tbody > tr{
    background: #FFF;
}
.table-striped > tbody > tr:nth-of-type(odd){
    background: #F9FAFC;
}
.table-striped > tbody > tr.bg-danger{
    background: #f2dede;
}

.table-striped > tbody > tr.disabled{
    cursor: not-allowed !important;
    color: #eee;
}

.table-striped > tbody > tr > td.cliquable{    
    cursor: pointer;
}

.table-striped > tbody > tr > td.cliquable:hover{    
    background-color: #00acd6;
    color: #FFF;
}

.table-striped > tbody > tr > td.disabled{    
    cursor: not-allowed;
}

.table-striped > tbody > tr > td.disabled.bg-green{    
    cursor: pointer;
}

.table-hover > tbody > tr.disabled:hover{
    background: #FFF;
    color: #eee;
}

.table-hover > tbody > tr.disabled:nth-of-type(odd):hover{
    background: #F9FAFC;
    color: #eee;
}

fieldset.standard {
    border-style: solid;
    border-width: 1px;
    border-color: #c0c0c0;
    height: 100%;
    padding: 10px 10px 10px 10px;
    margin-bottom: 10px;
}


fieldset.standard legend{
    padding: 0 10px;
    margin: 0;
    /*color: #00a65a !important;*/
    font-size: 18px;
    font-weight: normal;
    text-transform: uppercase;
    border: none;
    display: inline-block;
    width: auto;
}

fieldset.standard .comp{
    margin: 5px 0;
}

.rating{
    display: inline-block;
    margin-left: 10px;
    direction: rtl;
    width: 50%;
}
.rating a {
    color: #aaa;
    text-decoration: none;
    font-size: 16px;
    transition: color .4s;
    margin: 0 5px;
}

.rating a:hover,
.rating a:focus,
.rating a:hover ~ a,
.rating a:focus ~ a,
.rating a.ckecked{
    color: orange;
    cursor: pointer;
}

.sidebar-menu .fa,
.sidebar-menu .far,
.sidebar-menu .fas,
.sidebar-menu .fab{
    width: 30px;
}

h2 small {
    display: block;
    font-size: 13px;
    margin-top: 5px;
    color: #3F51B5 !important;
    font-weight: normal;
    line-height: 15px;
}
.fixed .wrapper {
    overflow: auto;
    overflow: initial;
}
.content-wrapper{
    min-height: 100vh;
}
h1, .h1, h2, .h2, h3, .h3{
    margin: 20px;
}
.form-control[disabled], fieldset[disabled] .form-control{
    cursor: not-allowed;
}
.table-bordered > thead > tr > th
, .table-bordered > tbody > tr > th
, .table-bordered > tfoot > tr > th
, .table-bordered > thead > tr > td
, .table-bordered > tfoot > tr > td{
    font-size: 13px;
}

thead th .label{
    width: 30%;
    display: inline-block;
}
tbody td .btn{
    /*font-size: 12px;
    text-transform: uppercase;
    padding: 6px 0px;*/
}
.table-fixed tbody td{
    height: 40px;
    padding: 8px 5px !important;
}
.main-sidebar{
    z-index: 1;
}
.main-header{
    z-index: 10;
}
md-backdrop.md-opaque.md-default-theme, md-backdrop.md-opaque{
    z-index: 100;
}
.md-dialog-container{
    z-index: 1000;
}
.sweet-overlay{
    z-index: 10000;
}
.form-control{
    height: 30px;
}
.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control{
    height: 30px;
    padding: 0 12px;
}
select.form-control{
    padding: 0 12px;
}
.sweet-alert button{
    font-size: 12px;
}
md-pagination-wrapper {
    display: flex;
}
md-pagination-wrapper .md-tab,
md-pagination-wrapper .md-tab.md-active{
    /*flex: 100%;*/
    overflow: initial;
}
/*.input-group-addon{
    padding: 10px 12px 5px 12px
}*/
md-dialog .md-dialog-content{
    padding: 15px;
}

.info-box .label{
    position: absolute;
    top: 0px;
    right: 0px;
    text-align: center;
    font-size: 12px;
    padding: 7px 10px;
    line-height: .9;
}
.sidebar-menu li > a > .pull-right-container{
    right: 0px;
}
.sidebar-menu > li > a{
    padding: 10px 5px 10px 5px;
    border-bottom: 1px dotted #444444;
    font-size: 13px;
}
.sidebar-menu > li:last-child a{
    border-bottom: none;
}
.skin-blue-light .sidebar-menu > li:hover > a{
    background: #00acd6;
    color: #FFFFFF;
}

.skin-blue-light .sidebar-menu > li.active > a {
    color: #FFFFFF;
    background: #39cccc !important;
}


.content{
    padding-bottom: 5px;
}
.box{
    margin-bottom: 20px;
}
.box.box-border.box-danger {
    border: 1px solid #dd4b39;
}
.timeline > li > .timeline-item{
    border: 1px solid #dd4b39;
}
@media (min-width: 960px){
    .md-padding {
        padding: 5px 10px;
    }
}

.badge{
    font-size: 10px;
}

label.badge{
    margin-left: 25px;
}

.input-group .input-group-addon{
    padding: 4px 12px;
}

.bg-white{
    background: #FFF;
}

.btn-block .btn-block{
    width: 83%;
}

.box > .box-header{
    text-transform: uppercase;
}

.box > .box-header .box-title{
    color: #dd4b39 !important;
}
option:disabled{
    color: #CCC;
}

.row-striped:nth-of-type(odd){
    background-color: #ffffff;
    border-left: 4px #efefef solid;
}

.row-striped:nth-of-type(even){
    background-color: #efefef;
    border-left: 4px #000000 solid;
}

.row-striped {
    padding: 2px 0;
    min-height: 100px;
    max-height: 200px;
    overflow-y: auto;
}

.row-striped .vertical-center{
    padding: 25px 0;
}

.rdv{
    padding: 0px;
    margin: 0px;
}

.rdv li{
    list-style: none;
    padding: 5px;
}

.row-striped:nth-of-type(odd) .rdv li{
    border-bottom: 1px #efefef solid;
}

.row-striped:nth-of-type(even) .rdv li{
    border-bottom: 1px #000000 solid;
}
.hoverable{
    cursor: pointer;
}
.hoverable:hover{
}
.hoverable .tooltips{
    position:absolute;
    color:#09c;
    background:rgba(0,0,0,.9);
    padding:15px;
    border-radius:3px;
    box-shadow:0 0 2px rgba(0,0,0,.5);
    transform:scale(0) rotate(-12deg);
    transition:all .25s;
    opacity:0;
}

.hoverable:hover .tooltips, .hoverable:focus .tooltips{
    transform:scale(1) rotate(0);  
    opacity:1;      
}

a[disabled]{
    pointer-events: none;
    cursor: not-allowed;
}

a[disabled]:hover{
    pointer-events: none;
    cursor: not-allowed;
}